Subject: [apps-discuss] Apps-Review Team Review: draft-ietf-enum-iax-10

From: Joseph Yee <[email-masked]>
Date: Tue, 19 Apr 2011 00:08:31 -0400

(Resend with different mail address, sorry for duplication)

Greeting,

I have been selected as the Applications Area Review Team reviewer for this draft (for background on apps-review, please see http://www.apps.ietf.org/content/applications-area-review-team).

Please resolve these comments along with any other Last Call comments you may receive. Please wait for direction from your document shepherd or AD before posting a new version of the draft.

Document: draft-ietf-enum-iax-10
Title: IANA Registration for Enumservice 'iax'
Reviewer: Joseph Yee
Review Date: April 18, 2011

Summary:
This draft is almost ready for publication as an Informational RFC but has a few nits that should be fixed before publication.

Major Issues:
   None

Minor Issues:
   None

Nits:
   (1)
   In Section 5, IANA Considerations, words suggested to make registration type more specific

   Original
   This document requests registration of the 'iax' Enumservice
   according....

   Suggestion
   This document requests registration of the Enumservice
   Type 'iax' according.....

   (2)
   In Section 5, IANA Considerations, specifications reference should include RFC6116

   Original
   according to the guidelines and specifications in [RFC6117] 
   and the definitions in Section 2 in this document.

   Suggestion
   according to the guidelines and specifications in [RFC6117], 
   [RFC6116] and the definitions in Section 2 in this document.

Best Regards,
Joseph Yee

---

From: Bernie Hoeneisen <[email-masked]>
Date: Tue, 19 Apr 2011 12:22:53 +0200 (CEST)

Hi Joseph

Thanks for your review and feedback on draft-ietf-enum-iax-10.
My comments inline.

>   Type 'iax' according.....

Could be changed, although IMHO not really needed.

>   [RFC6116] and the definitions in Section 2 in this document.

Adding a reference to RFC 6116 just confuses the reader, as RFC 6116 does 
not contain any specifications concerning IANA registration. When we 
revised RFC 3761, we purposly made a split between ENUM (as protocol) and 
the Enumservices (IANA registration, process).
(A reader who tries to find IANA Enumservices related content in RFC 6116 
due to such a reference will be disappointed, as all he finds is a 
reference to RFC 6117.)

Therefore, a reference to RFC 6116 to the IANA considerations section 
of draft-ietf-enum-iax should not be added.

cheers,
  Bernie (document shephard of draft-ietf-enum-iax & author of RFC 6117)

PS: I added Jason (the designated Expert for this document) to the Cc.

--

http://ucom.ch/
Tech Consulting for Internet Standardization

---

From: Joseph Yee <[email-masked]>
Date: Tue, 19 Apr 2011 13:53:52 -0400

Hi Bernie,

> Could be changed, although IMHO not really needed.

No concern if not changed.

> Adding a reference to RFC 6116 just confuses the reader, as RFC 6116 does not contain any specifications concerning IANA registration. When we revised RFC 3761, we purposly made a split between ENUM (as protocol) and the Enumservices (IANA registration, process).
> (A reader who tries to find IANA Enumservices related content in RFC 6116 due to such a reference will be disappointed, as all he finds is a reference to RFC 6117.)
> 
> Therefore, a reference to RFC 6116 to the IANA considerations section of draft-ietf-enum-iax should not be added.

Thanks for clarifying terms.  I read more in depth of both RFC6116 and RFC6117 on referencing, and agreed it's not necessary.

Best,
Joseph

> _______________________________________________
> apps-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/apps-discuss